Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.modules.screens
Class VelocityScreen

    java.lang.Object
      org.apache.turbine.modules.Assembler
          org.apache.turbine.modules.Screen
              org.apache.turbine.modules.screens.TemplateScreen
                  org.apache.turbine.modules.screens.VelocityScreen

Direct Known Subclasses:
  VelocityDirectScreen, VelocityErrorScreen, VelocitySecureScreen

    public class VelocityScreen

extends TemplateScreen

Base Velocity Screen. The buildTemplate() assumes the template parameter has been set in the RunData object. This provides the ability to execute several templates from one Screen.

If you need more specific behavior in your application, extend this class and override the doBuildTemplate() method.

Version:
  $Id: VelocityScreen.java 1078552 2011-03-06 19:58:46Z tv $
Author:
  Dave Bryson, Henning P. Schmiedehausen, Peter Courcoux

Field Summary

Fields inherited from class org.apache.turbine.modules.screens.TemplateScreen
`log`

Fields inherited from class org.apache.turbine.modules.Screen
`CACHE_SIZE_DEFAULT, CACHE_SIZE_KEY, NAME, PREFIX`

Constructor Summary
`VelocityScreen()`

Method Summary
`org.apache.ecs.ConcreteElement` | `buildTemplate(PipelineData pipelineData)` This builds the Velocity template.
`org.apache.ecs.ConcreteElement` | `buildTemplate(RunData data)` Deprecated. Use PipelineData version instead.
`protected void` | `doBuildTemplate(PipelineData pipelineData)` Needs to be implemented to make TemplateScreen like us.
`protected void` | `doBuildTemplate(PipelineData pipelineData, org.apache.velocity.context.Context context)` Velocity Screens extending this class should overide this method to perform any particular business logic and add information to the context.
`protected void` | `doBuildTemplate(RunData data)` Deprecated. Use PipelineData version instead.
`protected void` | `doBuildTemplate(RunData data, org.apache.velocity.context.Context context)` Deprecated. Use PipelineData version instead.
`static org.apache.velocity.context.Context` | `getContext(PipelineData pipelineData)` Deprecated. Use TurbineVelocity.getContext(pipelineData)
`static org.apache.velocity.context.Context` | `getContext(RunData data)` Deprecated. Use TurbineVelocity.getContext(data)

Methods inherited from class org.apache.turbine.modules.screens.TemplateScreen
`doBuild, doBuild, doPostBuildTemplate, doPostBuildTemplate, doRedirect, doRedirect, doRedirect, doRedirect, setTemplate, setTemplate`

Methods inherited from class org.apache.turbine.modules.Screen
`build, build, getLayout, getLayout, getPrefix, prepareText, prepareTextMinimum, setLayout, setLayout`

Methods inherited from class org.apache.turbine.modules.Assembler
`getRunData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VelocityScreen

    public VelocityScreen()

Method Detail

### doBuildTemplate

    @Deprecated
    protected void doBuildTemplate(RunData data,
                                              org.apache.velocity.context.Context context)
                            throws Exception

  Deprecated. Use PipelineData version instead.

  Velocity Screens extending this class should overide this method to perform any particular business logic and add information to the context.

  Parameters:
    `data` - Turbine information.
    `context` - Context for web pages.
  Throws:
    `Exception,` - a generic exception.
    `Exception`

### doBuildTemplate

    protected void doBuildTemplate(PipelineData pipelineData,
                                   org.apache.velocity.context.Context context)
                            throws Exception

  Velocity Screens extending this class should overide this method to perform any particular business logic and add information to the context.

  Parameters:
    `pipelineData` - Turbine information.
    `context` - Context for web pages.
  Throws:
    `Exception,` - a generic exception.
    `Exception`

### doBuildTemplate

    @Deprecated
    protected void doBuildTemplate(RunData data)
                            throws Exception

  Deprecated. Use PipelineData version instead.

  Needs to be implemented to make TemplateScreen like us. The actual method that you should override is the one with the context in the parameter list.

  Specified by:
    `doBuildTemplate` in class `TemplateScreen`
  Parameters:
    `data` - Turbine information.
  Throws:
    `Exception,` - a generic exception.
    `Exception` - A generic exception.

### doBuildTemplate

    protected void doBuildTemplate(PipelineData pipelineData)
                            throws Exception

  Needs to be implemented to make TemplateScreen like us. The actual method that you should override is the one with the context in the parameter list.

  Overrides:
    `doBuildTemplate` in class `TemplateScreen`
  Parameters:
    `data` - Turbine information.
  Throws:
    `Exception,` - a generic exception.
    `Exception` - A generic exception.

### buildTemplate

    @Deprecated
    public org.apache.ecs.ConcreteElement buildTemplate(RunData data)
                                                 throws Exception

  Deprecated. Use PipelineData version instead.

  This builds the Velocity template.

  Specified by:
    `buildTemplate` in class `TemplateScreen`
  Parameters:
    `data` - Turbine information.
  Returns:
    A ConcreteElement.
  Throws:
    `Exception,` - a generic exception.
    `Exception` - A generic exception.

### buildTemplate

    public org.apache.ecs.ConcreteElement buildTemplate(PipelineData pipelineData)
                                                 throws Exception

  This builds the Velocity template.

  Overrides:
    `buildTemplate` in class `TemplateScreen`
  Parameters:
    `data` - Turbine information.
  Returns:
    A ConcreteElement.
  Throws:
    `Exception,` - a generic exception.
    `Exception` - A generic exception.

### getContext

    @Deprecated
    public static org.apache.velocity.context.Context getContext(RunData data)

  Deprecated. Use TurbineVelocity.getContext(data)

  Return the Context needed by Velocity.

  Parameters:
    `data` - Turbine information.
  Returns:
    A Context.

### getContext

    @Deprecated
    public static org.apache.velocity.context.Context getContext(PipelineData pipelineData)

  Deprecated. Use TurbineVelocity.getContext(pipelineData)

  Return the Context needed by Velocity.

  Parameters:
    `data` - Turbine information.
  Returns:
    A Context.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.